[kde-freebsd] Conflicting file in x11-toolkits/qt33 and devel/qt4-designer

Dejan Lesjak dejan.lesjak at ijs.si
Mon Apr 16 13:06:46 CEST 2007

On Sunday 15 of April 2007, Michael Nottebrock wrote:
> On Saturday, 14. April 2007, Dejan Lesjak wrote:
> > Hello,
> >
> > As part of merging X11BASE to LOCALBASE a conflict has been found between
> > x11-toolkits/qt33 and devel/qt4-designer:
> >
> > # pkg_which /usr/local/bin/designer
> > qt4-designer-4.2.3
> > # pkg_which /usr/X11R6/bin/designer
> > qt-3.3.8_1
> Somehow I managed to miss the memo that X11BASE is going to abandoned
> altogether. :/

This doesn't make much difference for this, I know, but It's not completely 
abandoned, it's just that it will default to $LOCALBASE. Users can still 
define X11BASE different than localbase though.
The problem is that without doing this we couldn't have made compatibility 
symlink /usr/X11R6 -> /usr/local (or rather tell people to do so) which makes 
things easier in transition.

> Will look into it.



More information about the kde-freebsd mailing list